// Copyright (c) 2016, XMOS Ltd, All rights reserved
/**
How to input on a port
----------------------

To input on a port you need to declare a port variable:
**/


#include <xs1.h>

port p = XS1_PORT_1A; // ports must be declared as a global variable


int main() {

  /** Input is done via the ':>' operator. You can perform an input in the
      following way:
   **/
  int x;

  p :> x;

  /** This will input from the port 'p' to the variable 'x'.
   **/

  return 0;
}
